Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class AggregateProjection

    java.lang.Object
      org.hibernate.criterion.SimpleProjection
          org.hibernate.criterion.AggregateProjection

All Implemented Interfaces:
  Serializable, Projection

Direct Known Subclasses:
  AvgProjection, CountProjection

    public class AggregateProjection

extends SimpleProjection

An aggregation

Author:
  max
See Also:
  Serialized Form

Field Summary
`protected String` | `propertyName`

Constructor Summary
`protected` | `AggregateProjection(String aggregate, String propertyName)`

Method Summary
`Type[]` | `getTypes(Criteria criteria, CriteriaQuery criteriaQuery)` Return types returned by the rendered SQL fragment
`String` | `toSqlString(Criteria criteria, int loc, CriteriaQuery criteriaQuery)` Render the SQL fragment
`String` | `toString()`

Methods inherited from class org.hibernate.criterion.SimpleProjection
`as, getAliases, getColumnAliases, getColumnAliases, getTypes, isGrouped, toGroupSqlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyName

    protected final String propertyName

Constructor Detail

### AggregateProjection

    protected AggregateProjection(String aggregate,
                                  String propertyName)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTypes

    public Type[] getTypes(Criteria criteria,
                           CriteriaQuery criteriaQuery)
                    throws HibernateException

  Description copied from interface: `Projection`
  Return types returned by the rendered SQL fragment

  Returns:
    Type[]
  Throws:
    `HibernateException`

### toSqlString

    public String toSqlString(Criteria criteria,
                              int loc,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Projection`
  Render the SQL fragment

  Returns:
    String
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD